util.ui.view

## Class SplitViewProperty

- java.lang.Object
- - util.settings.Property
  - - util.ui.view.ViewProperty
    - - util.ui.view.SplitViewProperty

-     public class SplitViewProperty
      extends ViewProperty

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitViewProperty(PropertyManager manager, java.lang.String key, boolean verticalSplit, boolean leftComponentIsFixed, int fixedComponentWidth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clearCache()`
    `SplitViewProperty` | `getDefault()`
    `int` | `getFixedComponentWidth()`
    `boolean` | `getLeftComponentFixed()`
    `boolean` | `getVerticalSplit()`
    `void` | `setFixedComponentWidth(int width)`
    `void` | `setLeftComponentFixed(boolean fixed)`
    `void` | `setVerticalSplit(boolean verticalSplit)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class util.settings.Property

      `addChangeListener, fireChangeEvent, getKey, getProperty, removeChangeListener, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitViewProperty

          public SplitViewProperty(PropertyManager manager,
                           java.lang.String key,
                           boolean verticalSplit,
                           boolean leftComponentIsFixed,
                           int fixedComponentWidth)

  - ### Method Detail

    - #### getDefault

          public SplitViewProperty getDefault()

    - #### setVerticalSplit

          public void setVerticalSplit(boolean verticalSplit)

    - #### setLeftComponentFixed

          public void setLeftComponentFixed(boolean fixed)

    - #### setFixedComponentWidth

          public void setFixedComponentWidth(int width)

    - #### getVerticalSplit

          public boolean getVerticalSplit()

    - #### getLeftComponentFixed

          public boolean getLeftComponentFixed()

    - #### getFixedComponentWidth

          public int getFixedComponentWidth()

    - #### clearCache

          protected void clearCache()

      Specified by:
        `clearCache` in class `Property`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)